summaryrefslogtreecommitdiff
path: root/src/server/gwt/Translate-compile
diff options
context:
space:
mode:
authorbjorn <bjorn@bringert.net>2008-10-22 13:29:57 +0000
committerbjorn <bjorn@bringert.net>2008-10-22 13:29:57 +0000
commit7a2ef0bb0906f9efe3090418c4773ccb25f6efcb (patch)
tree6459d671a9bab9a94e453d30118f355bc1b0f023 /src/server/gwt/Translate-compile
parent245e1b3300da746d94c35cea0b736ffdd4b72ef0 (diff)
Make GWT compilation easier.
Diffstat (limited to 'src/server/gwt/Translate-compile')
-rw-r--r--src/server/gwt/Translate-compile13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/server/gwt/Translate-compile b/src/server/gwt/Translate-compile
new file mode 100644
index 000000000..608f17e99
--- /dev/null
+++ b/src/server/gwt/Translate-compile
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+APPDIR=`dirname $0`;
+
+if [ -z "$GWT_CLASSPATH" ]; then
+ echo 'ERROR: $GWT_CLASSPATH is not set'
+ echo 'Set $GWT_CLASSPATH to point to the GWT JAR files. For example:'
+ echo 'export GWT_DIR="/Users/bringert/src/gwt-mac-1.5.2"'
+ echo 'export GWT_CLASSPATH="$GWT_DIR/gwt-user.jar:$GWT_DIR/gwt-dev-mac.jar"'
+ exit 1
+fi
+
+java -XstartOnFirstThread -Xmx256M -cp "$APPDIR/src:$APPDIR/bin:$GWT_CLASSPATH" com.google.gwt.dev.GWTCompiler -out "$APPDIR/www" "$@" se.chalmers.cs.gf.gwt.TranslateApp;